Name:		audacious
Version:	1.3.2
Release:	b1
Summary:	Media player with the Winamp GUI

Group:		Applications/Multimedia
License:	GPL
URL:		http://audacious-media-player.org/

Source0:	audacious-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk2-devel >= 2.6
BuildRequires:	zlib-devel, desktop-file-utils >= 0.9
BuildRequires:	libglade2-devel >= 2.4
BuildRequires:	gettext
BuildRequires:	mcs-devel >= 0.1

Obsoletes:	bmp <= 0.9.7.1
Provides:	bmp = 0.9.7.1

BuildArchitectures: i586

%description
Audacious is a media player that currently uses a skinned
user interface based on Winamp 2.x skins. It is based on ("forked off")
BMP.

%package        devel
Summary:        Development files for Audacious
Group:          Development/Libraries
Requires:       glib2-devel, gtk2-devel >= 2.6, libglade2-devel >= 2.4
Requires:       mcs-devel >= 0.1
Requires:       pkgconfig

Obsoletes:      bmp-devel <= 0.9.7.1
Provides:       bmp-devel = 0.9.7.1

%description    devel
Development files for Audacious


%prep
%setup -q

%build
%configure \
    --disable-rpath \
    --disable-gnome-vfs \
    --enable-chardet \
    --disable-xspf \
    --disable-dependency-tracking
make V=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/bin/*
rm -rf $RPM_BUILD_ROOT/usr/share/audacious/Skins/[!D]*
%find_lang %{name}

desktop-file-install --vendor berry \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
    --delete-original \
    --remove-mime-type audio/x-scpls \
    --remove-mime-type audio/x-mpegurl \
    --remove-mime-type audio/mpegurl \
    --remove-mime-type audio/mp3 \
    --remove-mime-type audio/x-mp3 \
    --remove-mime-type audio/mpeg \
    --remove-mime-type audio/x-mpeg \
    --remove-mime-type audio/x-wav \
    --remove-mime-type application/x-ogg \
    --remove-category Application \
    $RPM_BUILD_ROOT%{_datadir}/applications/audacious.desktop

install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/audacious.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
update-desktop-database -q || :

%postun
/sbin/ldconfig
update-desktop-database -q || :


%files -f %{name}.lang
%defattr(-,root,root,-)
#%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/audacious
%{_bindir}/audtool
%{_libdir}/audacious
%{_libdir}/*.so.*
%{_datadir}/audacious
#%{_mandir}/man[^3]/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/48x48/apps/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/audacious
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Tue May 1 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
